Bug 124234 - bind-chroot package creates unnecessary dev files
bind-chroot package creates unnecessary dev files
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 17:30 EDT by Landon Curt Noll
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 19:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2004-05-24 17:30:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux; X11; , en_US.UTF-8, en_US, en)

Description of problem:
The bind-chroot rpm creates:

	/var/named/chroot/dev/null
	/var/named/chroot/dev/random

Neither of these dev files are needed.  A:

	lsof -p $(pidof named)

will show that neither /dev/null nor /dev/random are open.
Removal of these files /var/named/chroot/dev/* files does
not seem to impare named.

Creation of /var/named/chroot/dev/ special files gives the
impression that the /var file system cannot be mounted with
the nodev option.  The /var file system can be mounted with
nodev (and should for security reasons).  By removing these
unnecessary dev files from the bind-chroot package, the /var
filesystem can remain special device free.

Version-Release number of selected component (if applicable):
bind-chroot-9.2.2-21

How reproducible:
Always

Steps to Reproduce:
1.install bind and bind-chroot
2.rm -rf /var/named/chroot/dev
3.service named start
    

Actual Results:  The bind daemon will run without any problem without the
/var/named/chroot/dev files.

Expected Results:  If /var/named/chroot/dev was required, a problem with
bind would have noticed.

Additional info:
Comment 1 Jason Vas Dias 2004-08-03 19:15:52 EDT
Named DOES use /dev/random - it periodically opens & closes it.


Note You need to log in before you can comment on or make changes to this bug.